%global version  0.9.0
%global momorel  3
%global md5sum   6106a26c6c0f844cc769be416ba04b99 

%global honoka_version   0.9.1-5m

Name:       honoka-plugin-simpleprediction
Summary:    A simple prediction plugin for honoka
Version:    %{version}
Release: %{momorel}m%{?dist}
Group:      Applications/System
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
%NoSource 0  http://nop.net-p.org/files/honoka/%{name}-%{version}.tar.gz %{md5sum}
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires: honoka-devel >= %{honoka_version}
BuildRequires: automake
BuildRequires: libtool-ltdl-devel

%description
A simple prediction plugin for honoka.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken:
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.4.0/honoka/*.{a,la}

%find_lang honoka-plugin-simpleprediction

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f honoka-plugin-simpleprediction.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/1.4.0/honoka/*.so


%changelog
* Mon Oct 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-3m)
- update honoka_version

* Wed Oct 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-2m)
- modify %%files (for scim-1.4.5)

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- Initial commit Momonga Linux

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- first spec for Mandriva Linux
